<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Poppins:wght@100;400;700&family=Raleway:wght@100;400;700;900&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="./reset.css" />
    <!-- <link
      href="https://unpkg.com/material-components-web@latest/dist/material-components-web.min.css"
      rel="stylesheet"
    /> -->
    <script src="https://unpkg.com/material-components-web@latest/dist/material-components-web.min.js"></script>
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/icon?family=Material+Icons"
    />
    <link rel="stylesheet" href="./shell.css" />
    <link rel="stylesheet" href="./utility.css" />
    <link rel="stylesheet" href="bundle.css" />

    <title>Portfolio</title>
  </head>
  <body>
    <header class="mdc-top-app-bar mdc-top-app-bar--fixed">
      <div class="mdc-top-app-bar__row">
        <section
          class="mdc-top-app-bar__section mdc-top-app-bar__section--align-start"
        >
          <span class="mdc-top-app-bar__title">Leverage</span>
        </section>
        <section id="navLinks" class="mdc-top-app-bar__section space-between">
          <a href="/about">
            <button class="mdc-button">
              <span class="mdc-button__ripple"></span>
              <span class="mdc-button__label mdc-theme--on-primary">
                about
              </span>
            </button>
          </a>
          <a href="/investing">
            <button class="mdc-button">
              <span class="mdc-button__ripple"></span>
              <span class="mdc-button__label mdc-theme--on-primary">
                investing
              </span>
            </button>
          </a>
          <a href="/portfolio">
            <button class="mdc-button">
              <span class="mdc-button__ripple"></span>
              <span class="mdc-button__label mdc-theme--on-primary">
                Portfolio
              </span>
            </button>
          </a>
          <a href="/reseach">
            <button class="mdc-button">
              <span class="mdc-button__ripple"></span>
              <span class="mdc-button__label mdc-theme--on-primary">
                reseach
              </span>
            </button>
          </a>
        </section>

        <section
          class="mdc-top-app-bar__section mdc-top-app-bar__section--align-end"
          role="toolbar"
        >
          <span id="loginIcon" class="material-icons" tabindex="0">
            login
          </span>
          <span id="menu" class="material-icons"> menu </span>
        </section>
      </div>
    </header>
    <main
      class="mdc-top-app-bar--fixed-adjust footer--fixed-adjust mdc-layout-grid"
    >
      <div class="mdc-layout-grid__inner main-container">
        <section
          id="asset-focus"
          class="mdc-layout-grid__cell--span-6 mdc-layout-grid__cell--span-8-tablet"
        >
          <div class="mdc-card give-height flex-center space-between">
            <div class="flex-center ampleer-padding">
              <h2 c;ass="mdc-typography--headlines-5" id="focus-headline">Searching Stocks</h2>
            </div class="flex-center">
            <button class="mdc-button mdc-card__action mdc-card__action--button" id="toggle-focus">
              <div class="mdc-button__ripple"></div>
              <span class="mdc-button__label">Search Cryptos</span>
            </button>
            <div>

            </div>
            <div class="flex-center ampler-padding mdc-card__primary-action">
              <label class="mdc-text-field mdc-text-field--filled">
                <span class="mdc-text-field__ripple"></span>
                <span class="mdc-floating-label" id="ticker">Ticker</span>
                <input
                  id="ticker-input"
                  class="mdc-text-field__input"
                  type="text"
                  aria-labelledby="ticker"
                  value="GOOGL"
                />
                <i
                  id="ticker-search"
                  class="material-icons mdc-text-field__icon mdc-text-field__icon--trailing"
                  tabindex="0"
                  role="button"
                  >search</i
                >
                <span class="mdc-line-ripple"></span>
              </label>
            </div>
            <div
              id="focused-description"
              class="flex-center flex-column ampler-padding"
            >
              <p>
                Description of the focused thing thing: Lorem, ipsum dolor sit
                amet consectetur adipisicing elit. Tempore, at ullam repellendus
                expedita aperiam optio, rem quos voluptate ea facere velit cum
                commodi placeat nesciunt deserunt quidem. Aspernatur,
                repellendus nobis?
              </p>
            </div>
            <div class="mdc-card__actions">
              <div id="focused-ctas" class="mdc-card__action-buttons">
                <button
                  class="mdc-button mdc-card__action mdc-card__action--button"
                >
                  <div class="mdc-button__ripple"></div>
                  <span class="mdc-button__label">Buy</span>
                </button>
                <button
                  class="mdc-button mdc-card__action mdc-card__action--button"
                >
                  <div class="mdc-button__ripple"></div>
                  <span class="mdc-button__label">Sell</span>
                </button>
              </div>
              <div class="mdc-card__action-icons">
                <button
                  class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon"
                  title="favorite"
                >
                  favorite
                </button>
              </div>
            </div>
          </div>
        </section>
        <section
          id="asset-list"
          class="mdc-layout-grid__cell--span-6 mdc-layout-grid__cell--span-8-tablet"
        >
          <div class="mdc-card give-height">
            <div class="flex-center ampler-padding">
              <h2>Assets</h2>
            </div>
            <ul class="mdc-list" id="stock-list" role="listbox"></ul>
          </div>
        </section>
      </div>
    </main>
    <footer>
      <span id="copyright"> &copy; MarginWise </span>
    </footer>
    <div class="mdc-dialog">
      <div class="mdc-dialog__container">
        <div class="mdc-dialog__surface flex-center flex-column"
        role="alertdialog" aria-modal="true" aria-labelledby="trade-title"
        aria-describedby="trade-content">
        <h2 class="mdc-dialog__title mdc-typgraphy--healine6"
        id="trade-title"> Buy GOOG <span id="trade-timer">15</span>
        </h2>
        <div class="mdc-dialog__content" id="trade-content">
          <div class="flex-center">
            <label class="mdc-text-file mdc-text-field--filled">
              <span class="mdc-text-field__ripple"></span>
              <span class="mdc-floating-label" id="num-shares">Shares</span>
              <input id="ticker-input"
              class="mdc-text-field__input" type="number"
              aria-labelledby="num-shares" value="1"/>
              <span class="mdc-line-ripple"></span>
            </label>
          </div>
          <div class="flex-center space-between margin-above">
            <button class="mdc-button mdc-button--raised" id="confirm-trade-button">
              <span class="mdc-button__label">Trade</span>
            </button>
            <button class="mdc-button mdc-button--outlined" id="cancel-trade-button">
              <span class="mdc-button__label">Cancel</span>
            </button>
          </div>
        </div>
        </div>
      </div>
      <div class="mdc-dialog__scrim"></div>
    </div>
    <div class="mdc-dialog" id="alert-dialog">
      <div class="mdc-dialog__container">
        <div class="mdc-dialog__surface" role="alertdialog"
        aria-modal="true" aria-labelledby="my-dialog-title"
        aria-describedby="my-dialog-content">
          <div class="mdc-dialog__content" id="alert-content">
            Discard draft?
          </div>
          <div class="mdc-dialog__actions">
            <button type="button" class="mdc-button mdc-dialog__button"
            id="alert-button">
              <div class="mdc-button__ripple"></div>
              <span class="mdc-button__label">Fine</span>
            </button>
          </div>
        </div>
      </div>
      <div class="mdc-dialog__scrim"></div>
    </div>
    <script src="bundle.js" defer></script>
    <script src="./shell.js"></script>
    <script src="./portfolio.js"></script>
  </body>
</html>
